xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::hasQName Class Reference

Predicate that checks the QName of an XMLObject. More...

`#include <xmltooling/util/Predicates.h>`

## Public Member Functions
| hasQName (const QName &q)
| Constructor. More...
bool | operator() (const XMLObject *xmlObject) const
| Returns true iff the provided object's QName matches the constructor argument. More...

## Detailed Description

Predicate that checks the QName of an XMLObject.

## Constructor & Destructor Documentation

xmltooling::hasQName::hasQName | ( | const QName & | q | ) |
| inline

Constructor.

Parameters

  q | the QName to check for

## Member Function Documentation

bool xmltooling::hasQName::operator() | ( | const XMLObject * | xmlObject | ) | const
| inline

Returns true iff the provided object's QName matches the constructor argument.

Parameters

  xmlObject | the object to examine

The documentation for this class was generated from the following file:

- xmltooling/util/Predicates.h